org.apache.lucene.luke.app.desktop.components.dialog.analysis

## Class EditParamsDialogFactory

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.dialog.analysis.EditParamsDialogFactory

- All Implemented Interfaces:
    DialogOpener.DialogFactory

      public final class EditParamsDialogFactory
      extends Object
      implements DialogOpener.DialogFactory

  Factory of edit parameters dialog

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JDialog` | `create(Window owner, String title, int width, int height)`
    `static EditParamsDialogFactory` | `getInstance()`
    `void` | `setCallback(Callable callback)`
    `void` | `setMode(EditParamsMode mode)`
    `void` | `setParams(Map<String,String> params)`
    `void` | `setTarget(String target)`
    `void` | `setTargetIndex(int targetIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static EditParamsDialogFactory getInstance()
                                                     throws IOException

      Throws:
        `IOException`

    - #### setMode

          public void setMode(EditParamsMode mode)

    - #### setTarget

          public void setTarget(String target)

    - #### setTargetIndex

          public void setTargetIndex(int targetIndex)

    - #### setParams

          public void setParams(Map<String,String> params)

    - #### setCallback

          public void setCallback(Callable callback)

    - #### create

          public JDialog create(Window owner,
                                String title,
                                int width,
                                int height)

      Specified by:
        `create` in interface `DialogOpener.DialogFactory`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.